Tags

Update a tag

Updates a tag. Since this endpoint uses PUT semantics, both name and color must be present on the request body.

PUT /api/v1/tags/{tag}

Path parameters

Name Type Required Description
tag integer Required

The numeric ID of the tag.

Body parameters

Name Type Required Description
name string Required

The new label for the tag. May be up to 64 characters. Tag names are unique per project and case-insensitive.

color string Required

The color you would like to assign to the tag. One of gray, red, orange, amber, green, teal, blue, indigo, violet, or pink.

Response

The tag object

Field Type Description
id integer

The unique ID of the tag.

project_id integer

The ID of the project this tag belongs to.

name string

The display label of the tag.

color string

The tag's color. One of gray, red, orange, amber, green, teal, blue, indigo, violet, or pink.

created_at datetime

When the tag was created.

updated_at datetime

When the tag was last updated.